<script lang="ts">
	import { fly } from 'svelte/transition'
	import { onMount, createEventDispatcher } from 'svelte'

	interface Props {
		text?: string;
		textColour?: string;
		textRainbow?: boolean;
	}

	let { text = '', textColour = '#ffffffbb', textRainbow = false }: Props = $props();
	let animateDelay = $state(false)

	const dispatch = createEventDispatcher()
	onMount(() => {
		setTimeout(() => {
			animateDelay = true
		}, 200)
	})
</script>

<!-- markup (zero or more items) goes here -->
{#if animateDelay}
	<div class="acrylic" transition:fly|global={{ y: 20, duration: 100 }}>
		<span class:rainbow={textRainbow} style={`--colour:${textColour}`}>{text}</span>

	</div>
{/if}

<style>
	/* your styles go here */
	div {
		display: grid;
		grid-template-columns: 1fr auto auto;
		grid-template-areas: 'text cancel save';
		position: fixed;
		z-index: 99999;
    min-height: 3rem;
		top: 0px;
		left: 0px;
		right: 0px;
    background-color: #222;
    border-radius: 10px;
    border-style: none;
    margin: 1rem;
    padding: 0.5rem;
	}

	span {
		color: var(--colour);
		text-align: center;
		margin-left: 10px;
		grid-area: text;
		margin-top: auto;
		margin-bottom: auto;
    font-size: 1.5rem;
	}

	button {
		color: rgb(203, 203, 203);
		text-transform: none;
		font-family: Quicksand;
		font-weight: 500;
		font-size: 1em;
		background-color: transparent;
		outline: none;
		border: none;
		margin-top: auto;
		margin-bottom: auto;
		font-weight: 400;
	}

	.reset:hover {
		cursor: pointer;
		color: rgba(203, 203, 203, 0.75);
	}

	.save {
		color: #82cf56;
		font-weight: 600;
	}

	.save:hover {
		cursor: pointer;
		color: #82cf56c0;
	}

	.save:focus,
	.reset:focus {
		background: transparent;
	}
</style>
